Skip to main content
GET
/
v1
/
stock
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "string",
      "createdAt": "2024-06-20T20:32:36.796Z",
      "updatedAt": "2024-06-21T12:16:11.089Z",
      "availableAmount": 0,
      "totalAmount": 0,
      "reservedAmount": 0,
      "minimumAmount": 0,
      "availableForSale": true,
      "startDate": "2025-07-15",
      "endDate": "2025-07-15",
      "sku": {
        "id": "string",
        "code": "string"
      }
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

x-api-key
string
header
required

unique identifier access key. each brand has it own unique key.

Query Parameters

limit
number
default:10

pagination: limit of entities returned by query

Required range: x <= 50
cursorId
string

pagination: it is necessary to pass cursorId = null in the first call

skuCode
string
skuId
string
availability
boolean
availabilityStartDate
string<date-time>

availability start date (format: YYYY-MM-DD)

Example:

"2025-07-25"

availabilityEndDate
string<date-time>

availability end date (format: YYYY-MM-DD)

Example:

"2025-07-25"

changeStartDate
string<date-time>

change start date (format: YYYY-MM-DD or YYYY-MM-DD HH:mm:ss)

Example:

"2025-07-25 08:00:00"

changeEndDate
string<date-time>

change end date (format: YYYY-MM-DD or YYYY-MM-DD HH:mm:ss)

Example:

"2025-07-26 20:15:00"

Response

stock pagination

data
object[]
required
nextCursor
string | null

when the field is null, it means that pagination has ended